// Copyright (c)1995 Ray Dream, Inc. All Rights Reserved.
/* $Id: CamCFac.h 1.1 1996/07/18 23:52:42 Damien Exp $ */
#ifndef __CONFACT__
#define __CONFACT__


#ifndef __I3DEX__
#include "I3DEx.h"
#endif

// Spherical Camera Class Factory :
class ConicCameraClassFactory : public IClassFactory {
public:
  ConicCameraClassFactory(void);
  ~ConicCameraClassFactory(void);

  //IUnknown members
  STDMETHODIMP         QueryInterface(REFIID, LPVOID FAR*);
  STDMETHODIMP_(ULONG) AddRef(void);
  STDMETHODIMP_(ULONG) Release(void);

  //IClassFactory members
  STDMETHODIMP         CreateInstance(LPUNKNOWN, REFIID, LPVOID FAR*);
  STDMETHODIMP         LockServer(BOOL);
protected:
  ULONG           m_cRef;
  };                         

#endif // __CONFACT__
